<?php
/*
    Stupid Image Utils - part of 
    ExtremeDating - a Hackathon 2013 project.
    Copyright (C) 2013 Gustav Hartvigsson <gustav.hartvigsson@gmail.com>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
function stupid_rescale_and_crop (Imagick $image, $Height, $Width, $offsetX = 0, $offsetY = 0) {
  //var_dump($image);
  $imageprops = $image->getImageGeometry();
  if ($imageprops['height'] == $imageprops['width'] ) {
    $image->resizeImage($Height, $Width, imagick::FILTER_LANCZOS, true, false);
  } elseif ($imageprops['height'] > $imageprops['width'] ){
    $image->resizeImage($Height,0 , imagick::FILTER_LANCZOS, true, false);
  } elseif ($imageprops['height'] < $imageprops['width'] ){
    $image->resizeImage(0, $Width, imagick::FILTER_LANCZOS, true, false);
  }
  $image->cropImage($Height, $Width, $offsetX, $offsetY);

  return $image;
}

function stupid_convert_and_rescale (Imagick $image, $Height, $Width, $format ) {
  $image = stupid_rescale_and_crop($image, $Height, $Width);
  $image->setFormat($format);
  return $image;
}
?>
